Liblinphone: linphone::ConferenceListener Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::ConferenceListener Class Reference
Inheritance diagram for linphone::ConferenceListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onParticipantAdded (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that a participant has been added.
virtual LINPHONECXX_PUBLIC void | onParticipantRemoved (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that a participant has been removed.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceAdded (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice)
| Callback used to notify a conference that a participant has been added.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceRemoved (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice)
| Callback used to notify a conference that a participant has been removed.
virtual LINPHONECXX_PUBLIC void | onParticipantAdminStatusChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that the admin status of a participant has been changed.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceStateChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &device, linphone::ParticipantDeviceState state)
| Callback used to notify a conference that a participant device has changed state.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceMediaAvailabilityChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &device)
| Callback used to notify a conference that the media availability of a participant device has been changed.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceMediaCapabilityChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &device)
| Callback used to notify a conference that the media capability of a participant device has been changed.
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::Conference > &conference, linphone::Conference::State newState)
| Callback used to notify a conference state has changed.
virtual LINPHONECXX_PUBLIC void | onAvailableMediaChanged (const std::shared_ptr< linphone::Conference > &conference)
| Callback used to notify that the available media of a conference has changed.
virtual LINPHONECXX_PUBLIC void | onSubjectChanged (const std::shared_ptr< linphone::Conference > &conference, const std::string &subject)
| Callback used to notify that the subject of a conference has changed.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceIsSpeakingChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice, bool isSpeaking)
| Callback used to notify that a participant device is speaking or isn't speaking anymore.
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceIsMuted (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice, bool isMuted)
| Callback used to notify that a participant device is muted or is no longer muted.
virtual LINPHONECXX_PUBLIC void | onAudioDeviceChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::AudioDevice > &audioDevice)
| Callback used to notify that the audio device of a conference has changed.
virtual LINPHONECXX_PUBLIC void | onActiveSpeakerParticipantDevice (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice)
| Callback used to notify which participant device video is being displayed as "actively speaking".

## Member Function Documentation

## ◆ onActiveSpeakerParticipantDevice()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onActiveSpeakerParticipantDevice | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice
| ) |  |
| inlinevirtual

Callback used to notify which participant device video is being displayed as "actively speaking".

Parameters

  participantDevice | the participant device currently displayed as active speaker

## ◆ onAudioDeviceChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onAudioDeviceChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::AudioDevice > & | audioDevice
| ) |  |
| inlinevirtual

Callback used to notify that the audio device of a conference has changed.

Parameters

  audioDevice | audio device of the conference

## ◆ onAvailableMediaChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onAvailableMediaChanged | ( | const std::shared_ptr< linphone::Conference > & | conference | ) |
| inlinevirtual

Callback used to notify that the available media of a conference has changed.

Parameters

  conference | LinphoneConference object

## ◆ onParticipantAdded()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantAdded | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been added.

Parameters

  participant | LinphoneParticipant that has been added to the conference

## ◆ onParticipantAdminStatusChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantAdminStatusChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that the admin status of a participant has been changed.

Parameters

  participant | LinphoneParticipant whose admin status has changed

## ◆ onParticipantDeviceAdded()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceAdded | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been added.

Parameters

  participantDevice | LinphoneParticipantDevice that has been added to the conference

## ◆ onParticipantDeviceIsMuted()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceIsMuted | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice,
|  | bool | isMuted
| ) |  |
| inlinevirtual

Callback used to notify that a participant device is muted or is no longer muted.

Parameters

  isMuted | true if is muted, false otherwise

## ◆ onParticipantDeviceIsSpeakingChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceIsSpeakingChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice,
|  | bool | isSpeaking
| ) |  |
| inlinevirtual

Callback used to notify that a participant device is speaking or isn't speaking anymore.

Parameters

  isSpeaking | true if is speaking, false otherwise

## ◆ onParticipantDeviceMediaAvailabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceMediaAvailabilityChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | device
| ) |  |
| inlinevirtual

Callback used to notify a conference that the media availability of a participant device has been changed.

Parameters

  device | LinphoneParticipantDevice whose media availability changed has changed

## ◆ onParticipantDeviceMediaCapabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceMediaCapabilityChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | device
| ) |  |
| inlinevirtual

Callback used to notify a conference that the media capability of a participant device has been changed.

Parameters

  device | LinphoneParticipantDevice whose media capability changed has changed

## ◆ onParticipantDeviceRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceRemoved | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been removed.

Parameters

  participantDevice | LinphoneParticipantDevice that has been removed to the conference

## ◆ onParticipantDeviceStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceStateChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | device,
|  | linphone::ParticipantDeviceState | state
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant device has changed state.

Parameters

  state | new participant device state

## ◆ onParticipantRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantRemoved | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been removed.

Parameters

  participant | LinphoneParticipant that has been removed to the conference

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onStateChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | linphone::Conference::State | newState
| ) |  |
| inlinevirtual

Callback used to notify a conference state has changed.

Parameters

  newState | The new state of the conference

## ◆ onSubjectChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onSubjectChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::string & | subject
| ) |  |
| inlinevirtual

Callback used to notify that the subject of a conference has changed.

Parameters

  subject | subject of the conference

The documentation for this class was generated from the following file:

- conference_listener.hh